# load in DAC DLL (requires config file to support .NET 4.0

add-type -path "C:\Program Files (x86)\Microsoft SQL Server\110\DAC\bin\Microsoft.SqlServer.Dac.dll"

$d = new-object Microsoft.SqlServer.Dac.DacServices "server=."

register-objectevent -in $d -eventname Message -source "msg" -action { out-host -in $Event.SourceArgs[1].Message.Message }

# fewest number of parameters
$d.extract("c:\temp\pubs.dacpac", "pubs", "pubs", "1.2.3.4")

# fewest number of parameters
$d.exportbacpac("c:\temp\test.bacpac", "pubsdac")

# fewest
$dp = [Microsoft.SqlServer.Dac.DacPackage]::Load("c:\temp\pubs.dacpac")
$d.deploy($dp, "pubsnew")

$bp = [Microsoft.SqlServer.Dac.BacPackage]::Load("c:\temp\pubsdac.bacpac")
$d.importbacpac($bp, "pubsdac2")

unregister-event -source "msg"

get-eventsubscriber
